using Terraria;
using System;
using System.Diagnostics;
using System.Threading;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class BowOfJester : ModItem
    {
		
	    public override void SetDefaults()
		{
			item.name = "Bow of Jester";
			item.damage = 36;
			item.noMelee = true;
			item.ranged = true;
			item.width = 21;
			item.height = 50;
			item.toolTip = "Three arrow burst. Converts arrows to jesters.";
			item.useTime = 12;
			item.useAnimation = 48;
			item.useStyle = 5;
			item.useAmmo = 1;
			item.shoot = 5;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 8;
			item.useSound = 5;
			item.autoReuse = true;
			item.shootSpeed = 5;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreSanctus", 20);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool ConsumeAmmo(Player player)
		{
			if(player.itemAnimation <= 24)
			{
				return false;
			}
			return true;
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
			Vector2 vector2 = new Vector2();		
				
			float angle = (float)Math.Atan(speedY/speedX);
			vector2 = new Vector2(position.X+20f*(float)Math.Cos(angle), position.Y+20f*(float)Math.Sin(angle));
			float mouseX = (float)Main.mouseX + Main.screenPosition.X;
			if(mouseX < player.position.X)
			{
				vector2 = new Vector2(position.X-20f*(float)Math.Cos(angle), position.Y-20f*(float)Math.Sin(angle));
			}
			
			if(player.itemAnimation <= 12)
			{
				return false;
			}
			
			if(player.itemAnimation <= 36) Main.PlaySound(2,vector2,item.useSound);
			Projectile.NewProjectile(vector2.X,vector2.Y,speedX,speedY,5,damage,knockBack,Main.myPlayer);
            return false;
        }
    }
}