using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{	
    public class Ebony : ModItem
    {
		
	    public override void SetDefaults()
		{
			item.name = "Ebony";
			item.damage = 15;
			item.noMelee = true;
			item.ranged = true;
			item.width = 35;
			item.height = 35;
			item.toolTip = "It's ebony. Not sure where Ivory is.";
			item.useTime = 7;
			item.useAnimation = 28;
			item.useStyle = 5;
			item.shoot = 14;
			item.scale = 0.7f;
			item.useAmmo = 14;
			item.knockBack = 3;
			item.value = 10000;
			item.rare = 5;
			item.useSound = 40;
			item.autoReuse = true;
			item.shootSpeed = 13f;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreMalum", 15);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {	
			float angle = (float)Math.Atan(speedY/speedX);
			Vector2 vector2 = new Vector2(position.X+Main.itemTexture[mod.ItemType("Ebony")].Width*(float)Math.Cos(angle), position.Y+Main.itemTexture[mod.ItemType("Ebony")].Width*(float)Math.Sin(angle)+2f);
			float mouseX = (float)Main.mouseX + Main.screenPosition.X;
			if(mouseX < player.position.X)
			{
				vector2 = new Vector2(position.X-Main.itemTexture[mod.ItemType("Ebony")].Width*(float)Math.Cos(angle), position.Y-Main.itemTexture[mod.ItemType("Ebony")].Width*(float)Math.Sin(angle));
			}

			if(player.itemAnimation <= 14)
			{
				return false;
			}
			
			if(player.itemAnimation <= 21 && player.itemAnimation > 14)
			{
				Main.PlaySound(2,vector2,item.useSound);
			}
			
            Projectile.NewProjectile(vector2.X,vector2.Y,speedX,speedY,type,damage,knockBack,Main.myPlayer);
            return false;
        }
    }
}