using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class FierySaber : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Fiery Saber";
        item.damage = 40;
        item.melee = true;
		item.useTurn = true;
        item.width = 62;
        item.height = 70;
        item.toolTip = "Shoots fireballs.";
        item.useTime = 20;
        item.useAnimation = 20;
        item.useStyle = 1;
		item.shootSpeed = 6f;
		item.shoot = 15;
        item.knockBack = 12;
        item.value = 10000;
        item.rare = 7;
        item.useSound = 1;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreInfernum", 15);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

    public override void MeleeEffects(Player player, Rectangle hitbox)
    {
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		for(int i = 0; i < 10; i++)
		{
			int part = Dust.NewDust(new Vector2(hitboxCenterX-15f+(float)Main.rand.Next(40),hitboxCenterY-15f+(float)Main.rand.Next(40)), 1, 1, 6, (float)Main.rand.Next(20), (float)Main.rand.Next(20), 12,default(Color),1.3f);
			Main.dust[part].noGravity = true;
		}

    }
}}