using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class GoldenUmi : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Golden Umi";
        item.damage = 21;
        item.melee = true;
		item.useTurn = true;
        item.width = 40;
        item.height = 40;
        item.toolTip = "Shoots a wall of water.";
        item.useTime = 20;
        item.useAnimation = 20;
        item.useStyle = 1;
		item.shootSpeed = 6f;
		item.shoot = 409;
		item.scale = 1.5f;
        item.knockBack = 6;
		item.useSound = 21;
        item.value = 10000;
        item.rare = 10;
        item.useSound = 1;
        item.autoReuse = false;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreFortis", 10);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

    public override void MeleeEffects(Player player, Rectangle hitbox)
    {
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		float speedX = hitboxCenterX-player.position.X;
		float speedY = hitboxCenterY-player.position.Y;
		for(int i = 0; i < 10; i++)
		{
			int dust = Dust.NewDust(new Vector2(hitboxCenterX+(float)Main.rand.Next(50),hitboxCenterY+(float)Main.rand.Next(50)), 1, 1, 64, speedX/10, speedY/10, 12,default(Color),1.3f);
			Main.dust[dust].noGravity = true;
		}

	}
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
    {

		Vector2 vector2 = new Vector2();			
		float angle = (float)Math.Atan(speedY/speedX);
		vector2 = new Vector2(position.X+10f*(float)Math.Cos(angle), position.Y+10f*(float)Math.Sin(angle));
		
		Vector2 nextProjPos = new Vector2();
		int proj;
		
		for(int i = -2; i < 2; i++)
		{
			nextProjPos = new Vector2(vector2.X+(float)i*8f*(float)Math.Cos(angle+((float)Math.PI/2f)), vector2.Y+(float)i*8f*(float)Math.Sin(angle+((float)Math.PI/2f)));
			proj = Projectile.NewProjectile(nextProjPos.X,nextProjPos.Y,speedX,speedY,27,damage,knockBack,Main.myPlayer);
			Main.projectile[proj].timeLeft = 40;
		}
					
		return false;
    }

}}