using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class Kousoku : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Kousoku";
        item.damage = 12;
        item.melee = true;
		item.useTurn = true;
        item.width = 29;
        item.height = 28;
        item.toolTip = "Charges up its speed.";
        item.useTime = 39;
        item.useAnimation = 39;
        item.useStyle = 1;
        item.knockBack = 3;
        item.value = 10000;
        item.rare = 5;
        item.useSound = 1;
		item.scale = 1.5f;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreMalum", 15);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }
	
	public override bool UseItem(Player player)
	{
		item.useTime -= 3;
		item.useAnimation -= 3;
		if(item.useTime < 7)
		{
			item.useTime = 7;
			item.useAnimation = 7;
		}
		return true;
	}
	
	public override void UpdateInventory(Player player)
	{
		if(player.releaseUseItem)
		{
			item.useTime = 55;
			item.useAnimation = 55;
		}
	}
	
	public override void UseItemHitbox(Player player, ref Rectangle hitbox, ref bool noHitbox)
	{
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		float speedX = hitboxCenterX-player.position.X;
		float speedY = hitboxCenterY-player.position.Y;
		Dust.NewDust(new Vector2(hitboxCenterX,hitboxCenterY), 1, 1, 14, speedX/10, speedY/10, 12,default(Color),1f);	
	}
}}