using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class LifeDagger : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Life Dagger";
        item.damage = 50;
		item.useTurn = true;
		item.magic = true;
		item.mana = 10;
        item.width = 50;
        item.height = 50;
        item.toolTip = "Ever wanted a melee mage? You got it.";
		item.toolTip2 = "Shoots life stealing missiles.";
        item.useTime = 24;
        item.useAnimation = 24;
        item.useStyle = 1;
		item.shootSpeed = 10f;
		item.shoot = mod.ProjectileType("LifeMissile");
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 8;
        item.useSound = 8;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreCaelum", 20);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

    public override void MeleeEffects(Player player, Rectangle hitbox)
    {
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		float speedX = hitboxCenterX-player.position.X;
		float speedY = hitboxCenterY-player.position.Y;
		for(int i = 0; i < 2; i++)
		{
			int par = Dust.NewDust(new Vector2(hitboxCenterX-10f+(float)Main.rand.Next(20),hitboxCenterY-10f+(float)Main.rand.Next(20)), 1, 1, 12, speedX/10, speedY/10, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;
			par = Dust.NewDust(new Vector2(hitboxCenterX-10f+(float)Main.rand.Next(20),hitboxCenterY-10f+(float)Main.rand.Next(20)), 1, 1, 19, speedX/11, speedY/11, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;		
		}
    }
}}