using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class Minigun : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Minigun";
			item.damage = 76;
			item.noMelee = true;
			item.ranged = true;
			item.width = 19;
			item.height = 38;
			item.toolTip = "A minigun. The fastest.";
			item.useTime = 3;
			item.useAnimation = 3;
			item.useStyle = 5;
			item.shoot = 14;
			item.useAmmo = 14;
			item.knockBack = 50;
			item.value = 10000;
			item.rare = 10;
			item.useSound = 40;
			item.autoReuse = true;
			item.shootSpeed = 12f;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreLunar", 50);
			recipe.AddIngredient(null, "TrueCoreRare", 10);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int spread = 20; //The angle of random spread.
            float spreadMult = 0.01f; //Multiplier for bullet spread, set it higher and it will make for some outrageous spread.
			
			float angle = (float)Math.Atan(speedY/speedX);
			Vector2 vector2 = new Vector2(position.X+110f*(float)Math.Cos(angle), position.Y+110f*(float)Math.Sin(angle));
			float mouseX = (float)Main.mouseX + Main.screenPosition.X;
			float mouseY = (float)Main.mouseY + Main.screenPosition.Y;
			if(mouseX < player.position.X)
			{
				vector2 = new Vector2(position.X-110f*(float)Math.Cos(angle), position.Y-110f*(float)Math.Sin(angle));
			}
			
            float vX = speedX+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
            float vY = speedY+(float)Main.rand.Next(-spread,spread+1) * spreadMult;

            Projectile.NewProjectile(vector2.X,vector2.Y,vX,vY,type,damage,knockBack,Main.myPlayer);
            return false;
        }
    }
}