using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class RailGun : ModItem
    {
		
	    public override void SetDefaults()
		{
			item.name = "Rail gun";
			item.damage = 100;
			item.noMelee = true;
			item.ranged = true;
			item.width = 69;
			item.height = 30;
			item.toolTip = "Pwd. by slugs.";
			item.useTime = 55;
			item.useAnimation = 55;
			item.useStyle = 5;
			item.shoot = 260;
			item.crit += 30;
			item.useAmmo = 666;
			item.knockBack = 50;
			item.value = 10000;
			item.rare = 7;
			item.useSound = 12;
			item.autoReuse = true;
			item.shootSpeed = 6f;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreInfernum", 15);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
			
			float angle = (float)Math.Atan(speedY/speedX);
			Vector2 vector2 = new Vector2(position.X+35f*(float)Math.Cos(angle), position.Y+35f*(float)Math.Sin(angle));
			

            float mouseX = Main.mouseX + Main.screenPosition.X;
			if(mouseX < player.position.X)
			{
				vector2 = new Vector2(position.X-35f*(float)Math.Cos(angle), position.Y-35f*(float)Math.Sin(angle));	
			}
			
			Projectile.NewProjectile(vector2.X,vector2.Y,speedX,speedY,type,damage,knockBack,Main.myPlayer);
            return false;
        }
    }
}