using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class ShootingStar : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Shooting Star";
			item.damage = 0;
			item.noMelee = true;
			item.magic = true;
			item.width = 19;
			item.height = 38;
			item.toolTip = "Damage depends on your mana.";
			item.useTime = 40;
			item.mana = 20;
			item.useAnimation = 15;
			item.useStyle = 5;
			item.shoot = 260;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 10;
			item.useSound = 6;
			item.autoReuse = false;
			item.shootSpeed = 7;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreLunar", 50);
			recipe.AddIngredient(null, "TrueCoreRare", 10);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int ShotAmt = 5; //Amount of projectiles fired from the weapon. If you want to make a slightly inaccurate machine gun type of weapon, set this to 1
            int spread = 20; //The angle of random spread.
            float spreadMult = 0.025f; //Multiplier for bullet spread, set it higher and it will make for some outrageous spread.
          
			
			for(int i = 0; i < ShotAmt; i++)
            {
                float vX = speedX+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
                float vY = speedY+(float)Main.rand.Next(-spread,spread+1) * spreadMult;

                Projectile.NewProjectile(position.X,position.Y,vX,vY,type,damage,knockBack,Main.myPlayer);
                Projectile.NewProjectile(position.X, position.Y, vX*4, vY*4, 9, damage , knockBack, Main.myPlayer);
            }
            return false;
        }
		
		public override void UpdateInventory(Player player)
		{
			item.damage = player.statMana + 50;
		}
    }
}