using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{	
    public class TazerGun : ModItem
    {
		
	    public override void SetDefaults()
		{
			item.name = "Tazer Gun";
			item.damage = 12;
			item.noMelee = true;
			item.magic = true;
			item.width = 22;
			item.height = 16;
			item.toolTip = "Has a chance to inflict Confused.";
			item.useTime = 20;
			item.useAnimation = 20;
			item.useStyle = 5;
			item.shoot = mod.ProjectileType("Taze");
			item.knockBack = 3;
			item.value = 100;
			item.scale = 0.6f;
			item.rare = 4;
			item.useSound = 12;
			item.autoReuse = false;
			item.shootSpeed = 13f;
			item.mana = 5;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreFortis", 10);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {	
			float angle = (float)Math.Atan(speedY/speedX);
			Vector2 vector2 = new Vector2(position.X+20f*(float)Math.Cos(angle), position.Y+20f*(float)Math.Sin(angle)+2f);
			float mouseX = (float)Main.mouseX + Main.screenPosition.X;
			if(mouseX < player.position.X)
			{
				vector2 = new Vector2(position.X-20f*(float)Math.Cos(angle), position.Y-20f*(float)Math.Sin(angle));
			}
			
            Projectile.NewProjectile(vector2.X,vector2.Y,speedX,speedY,type,damage,knockBack,Main.myPlayer);
            return false;
        }
    }
}