using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class Terramere : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Terramere";
        item.damage = 256;
        item.melee = true;
		item.useTurn = true;
        item.width = 50;
        item.height = 58;
        item.toolTip = "Meows and Terra? Impossible.";
        item.useTime = 16;
        item.useAnimation = 16;
		item.shootSpeed = 12f;
        item.useStyle = 1;
		item.shoot = 502;
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 10;
        item.useSound = 1;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreLunar", 50);
		recipe.AddIngredient(null, "TrueCoreRare", 10);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

    public override void MeleeEffects(Player player, Rectangle hitbox)
    {
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		float speedX = hitboxCenterX-player.position.X;
		float speedY = hitboxCenterY-player.position.Y;
		Dust.NewDust(new Vector2(hitboxCenterX,hitboxCenterY), 1, 1, 68, speedX/10, speedY/10, 12,default(Color),1.5f);
		Dust.NewDust(new Vector2(hitboxCenterX,hitboxCenterY), 1, 1, 68, speedX/11, speedY/11, 12,default(Color),2f);
		
    }
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)	
	{	
		float angle = (float)Math.Atan(speedY/speedX) + 90f;
		int meow = Projectile.NewProjectile(player.position.X, player.position.Y, speedX, speedY, 502, item.damage/2, item.knockBack, Main.myPlayer);
		Main.projectile[meow].aiStyle = 27;
		Main.projectile[meow].rotation += 90;
		Projectile.NewProjectile(player.position.X+20f*(float)Math.Cos(angle), player.position.Y+20f*(float)Math.Sin(angle), speedX, speedY, 132, item.damage/2, item.knockBack, Main.myPlayer);
		/*if(Main.MouseWorld.X < player.position.X)
		{
			Projectile.NewProjectile(player.position.X-20f*(float)Math.Cos(angle), player.position.Y-20f*(float)Math.Sin(angle), projSpeed.X/10, projSpeed.Y/10, 132, item.damage/2, item.knockBack, Main.myPlayer);
		}*/
		return false;
	}
}}