using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Projectiles {
public class AssassinScythe : ModProjectile
{
	
	public override void SetDefaults()
	{
		projectile.name = "Assassin Scythe";
		projectile.width = 42;
		projectile.height = 42;
		projectile.alpha = 100;
		projectile.light = 0.5f;
		projectile.aiStyle = 18;
		this.aiType = 18;
		projectile.friendly = true;
		projectile.penetrate = -1;
		projectile.tileCollide = true;
		projectile.magic = true;
		projectile.timeLeft = 40;
		projectile.hide = true;
	}
	
	public override bool PreAI()
	{
		projectile.position.X = Main.player[projectile.owner].position.X;
		projectile.position.Y = Main.player[projectile.owner].position.Y;
		return true;
	}	
	
	public override void AI()
	{
		projectile.position.X = Main.player[projectile.owner].position.X;
		projectile.position.Y = Main.player[projectile.owner].position.Y;
		
		Main.player[projectile.owner].velocity.X = projectile.velocity.X;
		Main.player[projectile.owner].velocity.Y = projectile.velocity.Y;
		
		for(int i = 1; i < 5; i++)
		{
			int proj = Projectile.NewProjectile(projectile.position.X, projectile.position.Y, projectile.velocity.X/10, projectile.velocity.Y/10, 274, projectile.damage, 0f, projectile.owner);
			Main.projectile[proj].timeLeft = 60;	
			Main.projectile[proj].scale = i/2;	
			Main.projectile[proj].penetrate = -1;			
		}

	
	}
	
	public override void Kill(int timeLeft)
	{
		Main.player[projectile.owner].velocity.X = projectile.velocity.X/4f;;
		Main.player[projectile.owner].velocity.Y = projectile.velocity.Y/4f;;
	}
	
}	
}